| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsRecOpSrc Interface Reference

Generic interface for reading record operations. More...

## Public Member Functions
bool | hasNext ()
| True if getNext will return a record operation.
NetricsRecOp | getNext ()
| Returns the next record operation.
NetricsRecOp | getCur ()
| Returns the current record operation.
bool | canReset ()
| Returns true if this instance supports the reset method.
void | reset ()
| Reset the scan of records back to the beginning.

## Detailed Description

Generic interface for reading record operations.

This interface defines how record operations are passed into the API. By creating a class that implements this interface record operations can be streamed from any source through the ibi™ Patterns - Search .NET API to the ibi™ Patterns - Search server. For example a DBMS table could be mirrored to an ibi™ Patterns - Search server by creating an implementation of this interface that scanned a DBMS transaction log to convert record operations recorded there into NetricsRecOp objects returned by this interface.

The .NET API comes with one predefined implementations of the NetricsRecOpSrc interface: NetricsArrayRecOpSrc is a simple array of record operations.

See also
  NetricsRecOp, NetricsArrayRecOpSrc, NetricsServerInterface.doRecOps(String,bool,NetricsRecOpSrc)

## Member Function Documentation

## ◆ canReset()

bool NetricsServerInterface.NetricsRecOpSrc.canReset | ( |  | ) |

Returns true if this instance supports the reset method.

Returns
  true if this instance supports the reset method, false otherwise.

Implemented in NetricsServerInterface.NetricsArrayRecOpSrc.

## ◆ getCur()

NetricsRecOp NetricsServerInterface.NetricsRecOpSrc.getCur | ( |  | ) |

Returns the current record operation.

This returns the last record operation fetched. If no record operation has been fetched, or getNext() was called at the end of file, this returns null.

Returns
  the current record operation, null if no current record operation set.

Implemented in NetricsServerInterface.NetricsArrayRecOpSrc.

## ◆ getNext()

NetricsRecOp NetricsServerInterface.NetricsRecOpSrc.getNext | ( |  | ) |

Returns the next record operation.

Returns
  the next record operation, null if there is no next record.

Implemented in NetricsServerInterface.NetricsArrayRecOpSrc.

## ◆ hasNext()

bool NetricsServerInterface.NetricsRecOpSrc.hasNext | ( |  | ) |

True if getNext will return a record operation.

Returns
  True if there is another record operation, false otherwise.

Implemented in NetricsServerInterface.NetricsArrayRecOpSrc.

## ◆ reset()

void NetricsServerInterface.NetricsRecOpSrc.reset | ( |  | ) |

Reset the scan of records back to the beginning.

This resets the scan of records back to the initial state. After this call there is no current record and getNext will retrieve the first record. Support for this method is optional. If it is not supported the canReset method should return false and a call to this method should throw a NotSupportedException.

Implemented in NetricsServerInterface.NetricsArrayRecOpSrc.